var HMHomeManager = require('HomeKit/HMHomeManager');
var NSArray = require('Foundation/NSArray');
	
var HMHomeManagerDelegate = Hyperloop.defineClass('HMHomeManagerDelegate', 'NSObject'); 
	
HMHomeManagerDelegate.addMethod({
	selector: 'homeManagerDidUpdateHomes:',
	instance: true,
	arguments: ['HMHomeManager'],
	callback: function(sender) {
		if (this.homeManagerDidUpdateHomes) {
			this.homeManagerDidUpdateHomes(sender);
		}
	}
});

var HMHome = require('HomeKit/HMHome');		

var delegate = new HMHomeManagerDelegate();
delegate.homeManagerDidUpdateHomes = function(sender) {
	
	var name = sender.primaryHome.name;
	console.log('name: '+ name);
	console.log(JSON.stringify({"name":"name","value":name}));
};

var homeManager = new HMHomeManager();
homeManager.delegate = delegate;




function doClick(e) {
	alert($.label.text);
}

$.index.open();
